Debian Bug report logs - #602781
ITP: flightcrew -- ePub book format validator

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexander Konovalenko <alexkon@gmail.com>

Date: Mon, 8 Nov 2010 02:03:02 UTC

Owned by: don@debian.org

Severity: wishlist

Blocking fix for 590180: ITP: sigil -- A WYSIWYG ebook editor

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#602781; Package wnpp. (Mon, 08 Nov 2010 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Konovalenko <alexkon@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 08 Nov 2010 02:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Konovalenko <alexkon@gmail.com>
To: Report bug in Debian <submit@bugs.debian.org>
Subject: RFP: flightcrew -- ePub book format validator
Date: Mon, 8 Nov 2010 07:58:05 +0600
Package: wnpp
Severity: wishlist

* Package name    : flightcrew
  Version         : 0.7.0
  Upstream Author : Strahinja Marković
* URL             : http://code.google.com/p/flightcrew/
* License         : LGPL v3
  Programming Lang: C++
  Description     : ePub book format validator

ePub is a free and open file format for electronic books. It is one of
the popular formats, supported by many hardware and software ebook
readers and editors.

FlightCrew is a tool to validate ePub files. It aims to check for errors
more comprehensively than the long-existing epubcheck tool and to
produce better error messages. FlightCrew is already useful and is
being actively developed.

For an introduction and an overview for packagers, see this blog post:
http://sigildev.blogspot.com/2010/10/introducing-flightcrew-epub-validator.html




Owner recorded as koster@debian.org. Request was from Kan-Ru Chen <koster@debian.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 09:42:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: flightcrew -- ePub book format validator' from 'RFP: flightcrew -- ePub book format validator' Request was from Kan-Ru Chen <koster@debian.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 09:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#602781; Package wnpp. (Sat, 13 Oct 2012 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steinar Bang <sb@dod.no>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Sat, 13 Oct 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #14 received at 602781@bugs.debian.org (full text, mbox):

From: Steinar Bang <sb@dod.no>
To: 602781@bugs.debian.org
Subject: Is there any progress on packaging flightcrew?
Date: Sat, 13 Oct 2012 18:28:01 +0200
This ITP is almost two years old now, and there is no package in any of
the archives?

If flightcrew won't be packaged by the current maintainer, perhaps
this bug should be closed?

An RFP from this summer was marked as done, because there already was an
ITP: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=678833



Added indication that bug 602781 blocks 590180 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 21:21:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, koster@debian.org:
Bug#602781; Package wnpp. (Thu, 14 Feb 2013 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, koster@debian.org. (Thu, 14 Feb 2013 18:12:05 GMT) Full text and rfc822 format available.

Message #21 received at 602781@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 602781@bugs.debian.org, 590180@bugs.debian.org
Cc: Kan-Ru Chen <koster@debian.org>
Subject: Hijacking the flightcrew ITP
Date: Thu, 14 Feb 2013 10:08:02 -0800
Control: owner -1 don@debian.org
Control: retitle 590180 ITP: sigil -- A WYSIWYG ebook editor

As flightcrew is required for sigil, no progress appears to have been
made on packaging flightcrew, and I would to package sigil rapidly, I
am hijacking the ITP of flightcrew. I plan on maintaining flightcrew
and sigil in collab maint, and would love to have additional
co-maintainers if you are still interested in maintaining flightcrew.


Don Armstrong

-- 
If it jams, force it. If it breaks, it needed replacing anyway.
 -- Lowery's Law

http://www.donarmstrong.com              http://rzlab.ucr.edu



Owner changed from koster@debian.org to don@debian.org. Request was from Don Armstrong <don@debian.org> to 602781-submit@bugs.debian.org. (Thu, 14 Feb 2013 18:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Fri, 22 Feb 2013 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Fri, 22 Feb 2013 20:24:03 GMT) Full text and rfc822 format available.

Message #28 received at 602781@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 602781@bugs.debian.org
Subject: Re: Hijacking the flightcrew ITP
Date: Fri, 22 Feb 2013 12:21:38 -0800
The packaging of flightcrew is basically done. Unfortunately, though,
during the process of packaging it, I found that one of the files used
in flightcrew (ncx-2005-1.dtd and the cpp file built from it) are not
properly licensed. I'm working with DAISY (the copyright holder of
that DTD) to license it appropriately so that it can be distributed in
Debian.


Don Armstrong

-- 
No matter how many instances of white swans we may have observed, this
does not justify the conclusion that all swans are white.
 -- Sir Karl Popper _Logic of Scientific Discovery_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Sun, 07 Jul 2013 04:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@orangeseeds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 07 Jul 2013 04:09:07 GMT) Full text and rfc822 format available.

Message #33 received at 602781@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@orangeseeds.org>
To: Don Armstrong <don@debian.org>
Cc: 602781@bugs.debian.org, 590180@bugs.debian.org
Subject: any progress on sigil/flightcrew?
Date: Sun, 07 Jul 2013 00:05:24 -0400
[Message part 1 (text/plain, inline)]
Hey Don,

Any news on the sigil/flightcrew packaging? Anywhere we can peruse the
actual package source? What's the word from upstream regarding the
license problem you found?

Thanks!

A.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Sun, 07 Jul 2013 04:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@orangeseeds.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 07 Jul 2013 04:51:07 GMT) Full text and rfc822 format available.

Message #38 received at 602781@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@orangeseeds.org>
To: Don Armstrong <don@debian.org>
Cc: 602781@bugs.debian.org, 590180@bugs.debian.org
Subject: Re: any progress on sigil/flightcrew?
Date: Sun, 07 Jul 2013 00:47:42 -0400
[Message part 1 (text/plain, inline)]
Also note that there's a ubuntu package here:

https://launchpad.net/~rgibert/+archive/ebook

maybe they have a flightcrew package too?

-- 
Why bother building more nukes until we use the ones we already have?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Sun, 07 Jul 2013 22:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sun, 07 Jul 2013 22:48:07 GMT) Full text and rfc822 format available.

Message #43 received at 602781@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Antoine Beaupré <anarcat@orangeseeds.org>
Cc: 602781@bugs.debian.org, 590180@bugs.debian.org
Subject: Re: any progress on sigil/flightcrew?
Date: Sun, 7 Jul 2013 15:45:52 -0700
On Sun, 07 Jul 2013, Antoine Beaupré wrote:
> Any news on the sigil/flightcrew packaging?

I am current stuck on either getting a clean-room implementation of the
DTD that I identified earlier, or disabling checks of that DTD in sigil.
Patches accepted.

> Anywhere we can peruse the actual package source?

http://git.donarmstrong.com/?p=flightcrew.git;a=summary

> What's the word from upstream regarding the license problem you found?

They responded once, but have not responded further, even though I have
pinged them three times already.

-- 
Don Armstrong                      http://www.donarmstrong.com

[I]t's true that some of the most terrible things in the world are
done by people who think, genuinely think, that they're doing it for
the best, especially if there is some god involved.
 -- Terry Pratchett _Snuff_ p185



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Sat, 31 Aug 2013 14:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to paolo.greppi@libpf.com:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sat, 31 Aug 2013 14:21:05 GMT) Full text and rfc822 format available.

Message #48 received at 602781@bugs.debian.org (full text, mbox):

From: Paolo Greppi <paolo.greppi@libpf.com>
To: 602781@bugs.debian.org
Subject: [wnpp] work aound for src/FlightCrew/Schemas/ncx-2005-1.dtd
Date: Sat, 31 Aug 2013 16:19:50 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp

Hi to work around the problem of missing license for
src/FlightCrew/Schemas/ncx-2005-1.dtd, I propose to:

1) gather a large pool of freely-licensed epub files, possibly from
different sources and produced with different tools

2) extract the ncx files

3) run them though DTDGenerator

4) clean up and find a structure that matches them all

5) test by validing the pool of ncx files with the unfied dtd

Example :

wget http://prdownloads.sourceforge.net/saxon/dtdgen7-0.zip
unzip dtdgen7-0.zip
wget -O a.epub http://www.gutenberg.org/ebooks/24754.epub.noimages
unzip a.epub
java -cp dtdgen.jar DTDGenerator 24754/toc.ncx > output.dtd

I attach the output. What do you think ?

--- System information. ---
Architecture: i386
Kernel:       Linux 3.2.0-4-686-pae

Debian Release: 7.1
  500 stable-updates  mi.mirror.garr.it
  500 stable          security.debian.org
  500 stable          mi.mirror.garr.it

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.



[output.dtd (application/xml-dtd, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Mon, 09 Sep 2013 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Mon, 09 Sep 2013 19:03:04 GMT) Full text and rfc822 format available.

Message #53 received at 602781@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: paolo.greppi@libpf.com, 602781@bugs.debian.org
Subject: Re: Bug#602781: [wnpp] work aound for src/FlightCrew/Schemas/ncx-2005-1.dtd
Date: Mon, 9 Sep 2013 12:01:07 -0700
On Sat, 31 Aug 2013, Paolo Greppi wrote:
> Hi to work around the problem of missing license for
> src/FlightCrew/Schemas/ncx-2005-1.dtd, I propose to:
> 
> 1) gather a large pool of freely-licensed epub files, possibly from
> different sources and produced with different tools
> 
> 2) extract the ncx files
> 
> 3) run them though DTDGenerator
> 
> 4) clean up and find a structure that matches them all
> 
> 5) test by validing the pool of ncx files with the unfied dtd
> 
> Example :
> 
> wget http://prdownloads.sourceforge.net/saxon/dtdgen7-0.zip
> unzip dtdgen7-0.zip
> wget -O a.epub http://www.gutenberg.org/ebooks/24754.epub.noimages
> unzip a.epub
> java -cp dtdgen.jar DTDGenerator 24754/toc.ncx > output.dtd
> 
> I attach the output. What do you think ?

Thanks for doing this work.

I've actually now done a re-implementation of the DTD directly from the
standard. I'm working on tying up some remaining loose ends (mainly
cleaning up the copies of the original DTD from the git repository) and
I should be doing an upload in the next few days.
 

-- 
Don Armstrong                      http://www.donarmstrong.com

A Bill of Rights that means what the majority wants it to mean is worthless. 
 -- U.S. Supreme Court Justice Antonin Scalia



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Sat, 26 Oct 2013 04:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Sat, 26 Oct 2013 04:48:08 GMT) Full text and rfc822 format available.

Message #58 received at 602781@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: Don Armstrong <don@donarmstrong.com>, 602781@bugs.debian.org
Cc: Antoine Beaupré <anarcat@orangeseeds.org>, 590180@bugs.debian.org
Subject: Re: Bug#602781: any progress on sigil/flightcrew?
Date: Sat, 26 Oct 2013 10:15:01 +0530
Hi all,
Any updates Don, to flightcrew ?
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, don@debian.org:
Bug#602781; Package wnpp. (Tue, 29 Oct 2013 05:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, don@debian.org. (Tue, 29 Oct 2013 05:03:07 GMT) Full text and rfc822 format available.

Message #63 received at 602781@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: shirish शिरीष <shirishag75@gmail.com>
Cc: 602781@bugs.debian.org, Antoine Beaupré <anarcat@orangeseeds.org>, 590180@bugs.debian.org
Subject: Re: Bug#602781: any progress on sigil/flightcrew?
Date: Mon, 28 Oct 2013 21:59:34 -0700
On Sat, 26 Oct 2013, shirish शिरीष wrote:
> Any updates Don, to flightcrew ?

I'm finishing up the final testing of sigil, and am about to start
working on flightcrew itself.

-- 
Don Armstrong                      http://www.donarmstrong.com

My spelling ability, or rather the lack thereof, is one of the wonders
of the modern world.



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:25:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.